toolzerhub API Docs

Get video details

Returns metadata for one or more required comma-separated video_references. Optional region and language fields localize the response.

1 credit / requestBilled only on success
GET
/v2/youtube/video

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

video_references*string

One video ID or URL, or multiple comma-separated video IDs.

Length1 <= length
region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

curl -X GET "https://example.com/v2/youtube/video?video_references=M7lc1UVf-VE%2CjNQXAC9IVRw" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "string",    "title": "string",    "channelId": "string",    "property1": null,    "property2": null  }}